<?php
include ("../conexion.php");
include ("../funciones/fechas.php");

$cdgcaj      =$_POST["cdgcaj"];
$cdgtipven   =$_POST["combotipoventa"];
$fechainicio =$_POST["fechainicio"];
$fechafin    =$_POST["fechafin"];
$cdgcli      =$_POST["cdgcli"];
$dsccli      =$_POST["dsccli"];

$fechainicio = implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin    = implode("-", array_reverse(explode("-", $fechafin))); 

$where="1=1";
if ($cdgcaj <> "") { $where.=" AND cdgcaj='$cdgcaj'"; }
if ($cdgtipven <> "") { $where.=" AND cdgtipven='$cdgtipven'"; }
if ($cdgcli<> "") { $where.=" AND cdgcli='$cdgcli'"; }
if ($dsccli<> "") { $where.=" AND dsccli like '%$dsccli%'"; }


if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecha>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecha<='".$fechafin."'";
		}
	}
}

 $where.=" ORDER BY numfactura DESC";
 
 
if ($result = $mysqli->query("SELECT * FROM proformas WHERE  ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}
 

       $consulta2= ("SELECT SUM(totalfactura) AS totalfactura , SUM(subtot) AS subtot , SUM(destot) AS destot , SUM(impven) AS impven  FROM proformas WHERE  ".$where);

		if ($resultado2 = $mysqli->query($consulta2)) 

 
  	 while ($dato = $resultado2->fetch_assoc()) {
  						
	 $totalfacturas=$dato["totalfactura"];
	 $subtot=$dato["subtot"];
	 $destot=$dato["destot"];
	 $impven=$dato["impven"];

	 $subtot=number_format($subtot,2,",",".");
	 $destot=number_format($destot,2,",",".");
	 $impven=number_format($impven,2,",",".");
	 $totalfacturas=number_format($totalfacturas,2,",",".");
	
  }




?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function pon_prefijo(subtot,destot,impven,totalfacturas) {
	parent.document.form_busqueda.subtot.value=subtot;
	parent.document.form_busqueda.destot.value=destot;
	parent.document.form_busqueda.impven.value=impven;
	parent.document.form_busqueda.totalfacturas.value=totalfacturas;
	
    
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">
				<?php
				
				
				if ($filas > 0) { 
$contador=0;
$marcaestado=0;	
$marcaborrado=0;		

			$consulta = "SELECT codfactura,dsccli,cdgcli ,fecha , borrado, totalfactura,estado,numfactura,conventa,TIME_FORMAT(horfac ,'%h:%i %p') as horfac,efectivo,depositos,simpes,dolares,tarjetas  FROM proformas WHERE   ".$where;
if ($resultado = $mysqli->query($consulta)) 
$tipopago ="";
 
    while ($fila = $resultado->fetch_assoc()) {
        $marcaestado   = $fila["estado"];
        $marcaborrado  = $fila["borrado"];
        $fecha         = $fila["fecha"];
		$fecha         = implode("-", array_reverse(explode("-", $fecha)));
		$numfactura    = $fila["numfactura"];
		$numfactura    = substr($numfactura, -10);
		$cdgcli        = $fila["cdgcli"];
		$dsccli        = $fila["dsccli"];
		$totalfactura  = $fila["totalfactura"];
		$conventa	   = $fila["conventa"];
		$horfac        = $fila["horfac"];
		$efectivo      = $fila["efectivo"];
		$depositos       = $fila["depositos"];
		$simpes     = $fila["simpes"];
		$dolares       = $fila["dolares"];
		$tarjetas      = $fila["tarjetas"];
		
		
		
		if ($efectivo>0) {$tipopago="EFECTIVO";}
		else if ($tarjetas>0) {$tipopago="TARJETAS";}
		else if ($depositos>0) {$tipopago="SINPES";}
		else if ($dolares>0) {$tipopago="DOLARES";}
		else if ($simpes>0) {$tipopago="SINPES";}
		else {$tipopago="NO APLICA";}

	  $tipoventa = "SELECT * FROM hac_tipo_venta WHERE cdgtipven='$conventa'";    // averigua tipo de venta
       $resultado_tipv = $mysqli->query($tipoventa);
       $row_tipv = $resultado_tipv->fetch_array();
       $dsctipven = $row_tipv["dsctipven"];
		
		
		
		
				    if ( $marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
					if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="3%"><?php $contador+1;?></td>
								<td width="8%"><div align="left"><?php echo $numfactura ?>
                                </div></td>
                                	<td width="10%" align="center"><div align="left"><?php echo $fecha?>
                                </div></td>
								<td width="4%" align="right"><div align="left"><?php echo $cdgcli?></div></td>	
									<?php	  $dsccli = substr($dsccli, 0,25);  ?>	
								<td width="24%"><div align="left"><?php echo $dsccli  ?></div></td>	
								<td width="10%"><div align="left"><?php echo $dsctipven ?></div></td>							
								<td width="7%"><div align="left"><?php echo $horfac ?></div></td>
                                <td width="5%"><div align="center"></div></td>
								<td width="9%"><div align="left"><?php echo $tipopago?></div></td>
								
								<td width="11%"><div align="right"><?php echo number_format($totalfactura,2,".",",")?></div></td>
                                <td width="9%"><div align="center"></div></td>
						</tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay ninguna factura que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>	
                    	
                    
                 <script languaje="javascript">
		
	pon_prefijo('<?php echo $subtot ?>','<?php echo $destot ?>','<?php echo $impven ?>','<?php echo $totalfacturas ?>');
	
		</script>			
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>
